//  See https://github.com/shibatch/tlfloat for our project.
//        Copyright Naoki Shibata and contributors.
// Distributed under the Boost Software License, Version 1.0.
//    (See accompanying file LICENSE.txt or copy at
//          http://www.boost.org/LICENSE_1_0.txt)

#ifndef __TLFLOATVERSION_HPP_INCLUDED__
#define __TLFLOATVERSION_HPP_INCLUDED__

#define TLFLOAT_VERSION_MAJOR 1
#define TLFLOAT_VERSION_MINOR 17
#define TLFLOAT_VERSION_PATCH 1

#define TLFLOAT_COMPILER_SUPPORTS_INT128
#define TLFLOAT_COMPILER_SUPPORTS_ISOFLOAT128
/* #undef TLFLOAT_COMPILER_SUPPORTS_FLOAT128 */
#define TLFLOAT_LONGDOUBLE_IS_FLOAT128
#define TLFLOAT_COMPILER_SUPPORTS_FP16

#define TLFLOAT_ENABLE_INTSQRT

#endif
